Name:           oidentd
Version:        2.0.8
Release:        %mkrel 6
Summary:        Ident server with masquerading support
License:        GPLv2+
Group:          System/Servers
URL:            http://ojnk.sourceforge.net/
Source0:        http://downloads.sourceforge.net/ojnk/%{name}-%{version}.tar.gz
Source2:        %{name}.users
Source3:        %{name}.sysconfig
Source4:        %{name}.conf
Source5:        %{name}.service
BuildRequires:  flex
BuildRequires:  bison
Provides:       identd
Requires(pre):  rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper

%description
Oidentd is an ident (rfc1413) daemon that runs on Linux, FreeBSD,
OpenBSD and Solaris 2.x. Oidentd supports most features of pidentd
plus more. Most notably, oidentd allows users to specify the identd
response that the server will output when a successful lookup is
completed. Oidentd supports IP masqueraded connections on Linux, and
is able to forward requests to hosts that masq through the host on
which oidentd runs.


%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__cp} -a %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__cp} -a %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}_masq.conf
%{__cp} -a %{SOURCE4} %{buildroot}%{_sysconfdir}/%{name}.conf
%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/%{name}

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/%{name}.service


%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/true

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc AUTHORS NEWS README ChangeLog doc/rfc1413
%config(noreplace) %{_sysconfdir}/%{name}_masq.conf
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}
%{_mandir}/man5/%{name}*
%{_mandir}/man8/%{name}*
%{_unitdir}/%{name}.service
%dir %{_localstatedir}/lib/%{name}




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.0.8-6.mga3
+ Revision: 361819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 19 2012 solbu <solbu> 2.0.8-5.mga3
+ Revision: 319613
- Import oidentd
- Spec cleanup
- Fix License tag
- Add systemd support
- Drop sysvinit script

